constellation/internal/helm/generateCertManager.sh
Moritz Sanft 968cdc1a38
cli: move cli/internal libraries (#2623)
* cli: move internal packages

Signed-off-by: Moritz Sanft <58110325+msanft@users.noreply.github.com>

* cli: fix buildfiles

Signed-off-by: Moritz Sanft <58110325+msanft@users.noreply.github.com>

* bazel: fix exclude dir

Signed-off-by: Moritz Sanft <58110325+msanft@users.noreply.github.com>

* cli: move back libraries that will not be used by TF provider

Signed-off-by: Moritz Sanft <58110325+msanft@users.noreply.github.com>

---------

Signed-off-by: Moritz Sanft <58110325+msanft@users.noreply.github.com>
2023-11-22 14:52:56 +01:00

22 lines
381 B
Bash
Executable File

#!/usr/bin/env bash
set -euo pipefail
set -o errtrace
shopt -s inherit_errexit
echo "Pulling cert-manager Helm chart..."
function cleanup {
rm -r "charts/cert-manager/README.md" "charts/cert-manager-v1.10.0.tgz"
}
trap cleanup EXIT
helm pull cert-manager \
--version 1.10.0 \
--repo "https://charts.jetstack.io" \
--untar \
--untardir "charts"
echo # final newline